<?php
/**
 * Createing an about us pannel for customizer
 */
 
// START ABOUT SECTION 
    $wp_customize->add_section(
        'luzuk_them_premium_fewwords_section',
        array(
            'title' => __( 'About Us Section', 'lz-fitness-premium' ),
            'panel' => 'luzuk_them_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_them_premium_fewwords_section_disable',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Switch_Control(
            $wp_customize,
            'luzuk_them_premium_fewwords_section_disable',
            array(
                'settings'      => 'luzuk_them_premium_fewwords_section_disable',
                'section'       => 'luzuk_them_premium_fewwords_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'fewwords', 'luzuk_them_premium_fewwords_section', $color='#ffffff'); 


lzCustomLable($wp_customize, 'luzuk_them_sec_fewwordspadding', 'luzuk_them_premium_fewwords_section', 'Set Section Padding :');

$wp_customize->add_setting(
    'sec_fewwordsTpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '6em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsTpadding',
    array(
        'settings'      => 'sec_fewwordsTpadding',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_fewwordsBpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '6em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsBpadding',
    array(
        'settings'      => 'sec_fewwordsBpadding',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_fewwordsLpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsLpadding',
    array(
        'settings'      => 'sec_fewwordsLpadding',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_fewwordsRpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_fewwordsRpadding',
    array(
        'settings'      => 'sec_fewwordsRpadding',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'lz-fitness-premium' )
    )
);

    $wp_customize->add_setting(
        'luzuk_them_fewwords_title_heading',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Customize_Heading(
            $wp_customize,
            'luzuk_them_fewwords_title_heading',
            array(
                'settings'      => 'luzuk_them_fewwords_title_heading',
                'section'       => 'luzuk_them_premium_fewwords_section',
                'label'         => __( 'About Us Title, Subtitle & Text', 'lz-fitness-premium' ),
            )
        )
    );    

 
    $wp_customize->add_setting(
        'luzuk_them_fewwords_title',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text',
            'default'           => __( 'About Us', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_them_fewwords_title',
        array(
            'settings'      => 'luzuk_them_fewwords_title',
            'section'       => 'luzuk_them_premium_fewwords_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'lz-fitness-premium' )
        )
    );
addColorPalatOption($wp_customize, 'luzuk_them_SectionTitleColor', 'luzuk_them_premium_fewwords_section', 'Section Title Color', '#0f0f0f');

addColorPalatOption($wp_customize, 'luzuk_them_SectionSubTitleBorderColor', 'luzuk_them_premium_fewwords_section', 'Section Title Border Color', '#fb6f58');


$wp_customize->add_setting(
        'luzuk_them_fewwords_subheading',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text',
            'default'           => __( 'Etiam eqet diam ligula. Sed at blandit ante. Vivamus Feugiat,', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_them_fewwords_subheading',
        array(
            'settings'      => 'luzuk_them_fewwords_subheading',
            'section'       => 'luzuk_them_premium_fewwords_section',
            'type'          => 'textarea',
            'label'         => __( 'Sub Text For Section', 'lz-fitness-premium' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_them_SectionSubTitleColor', 'luzuk_them_premium_fewwords_section', 'Section Sub Title Color', '#101010');


$wp_customize->add_setting(
        'luzuk_them_fewwords_text',
        array(
            'sanitize_callback'=>'luzuk_them_sanitize_text',
            'default'=> __('There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which dont look even slightly believable. If you are going to a passage of Lorem Ipsum. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary.', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'luzuk_them_fewwords_text',
        array(
            'settings' =>'luzuk_them_fewwords_text',
            'section' => 'luzuk_them_premium_fewwords_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );
    addColorPalatOption($wp_customize, 'luzuk_them_SectioncontentColor', 'luzuk_them_premium_fewwords_section', 'Section Content Color', '#5b5b5b');

//button
lzCustomLable($wp_customize, 'luzuk_them_premium_aboutus_lblbutton1display', 'luzuk_them_premium_fewwords_section', 'About Us Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutscd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutscd_button_display', array( 'label' => 'Button1 Display', 'section' => 'luzuk_them_premium_fewwords_section', 'settings' => 'aboutscd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'luzuk_them_headermain_aboutreadmore1button',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'READ MORE' )
    )
);
$wp_customize->add_control(
    'luzuk_them_headermain_aboutreadmore1button',
    array(
        'settings'      => 'luzuk_them_headermain_aboutreadmore1button',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'niwas' )
    )
);

$wp_customize->add_setting('luzuk_them_header_aboutreadmore1buttonlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_aboutreadmore1buttonlink',
    array(
        'settings'      => 'luzuk_them_header_aboutreadmore1buttonlink',
        'section'       => 'luzuk_them_premium_fewwords_section',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Unbox' )
    )
);


lzCustomLable($wp_customize, 'luzuk_them_premium_aboutus_lblImgTxt', 'luzuk_them_premium_fewwords_section', 'Button Colors:');

 // Box button text color
    addColorPalatOption($wp_customize, 'luzuk_them_aboutus_boxbtnTextColor', 'luzuk_them_premium_fewwords_section', 'button text & Icon color', '#fff');
    // Box button background color
    addColorPalatOption($wp_customize, 'luzuk_them_aboutus_boxbtnbgColor', 'luzuk_them_premium_fewwords_section', 'button background color', '#fe6b59');


   // Box button text hover color
    addColorPalatOption($wp_customize, 'luzuk_them_aboutus_boxbtnTexthoverColor', 'luzuk_them_premium_fewwords_section', 'button text & Icon hover color', '#fff');
    // Box button background hover color
    addColorPalatOption($wp_customize, 'luzuk_them_aboutus_boxbtnbghoverColor', 'luzuk_them_premium_fewwords_section', 'button background hover color', '#000');





lzCustomLable($wp_customize, 'luzuk_them_rightimageaboutbx', 'luzuk_them_premium_fewwords_section', 'Set Right Slider Images For Section:');

$wp_customize->add_setting(
        'luzuk_them_fewwords_image_heading',
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Customize_Heading(
            $wp_customize,
            'luzuk_them_fewwords_image_heading',
            array(
                'settings'      => 'luzuk_them_fewwords_image_heading',
                'section'       => 'luzuk_them_premium_fewwords_section',
                'label'         => __( 'Add Right Slider Images Only Top Three', 'lz-fitness-premium' ),
            )
        )
    );
    //img 1
    $wp_customize->add_setting(
        'luzuk_them_fewwords_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_them_fewwords_image',
            array(
                'section' => 'luzuk_them_premium_fewwords_section',
                'settings' => 'luzuk_them_fewwords_image',
                'description' => __('Recommended Image Size: 600X512px', 'lz-fitness-premium')
            )
        )
    );

    //img 2
    $wp_customize->add_setting(
        'luzuk_them_fewwords_image2',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_them_fewwords_image2',
            array(
                'section' => 'luzuk_them_premium_fewwords_section',
                'settings' => 'luzuk_them_fewwords_image2',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );

        //img 2
    $wp_customize->add_setting(
        'luzuk_them_fewwords_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_them_fewwords_image3',
            array(
                'section' => 'luzuk_them_premium_fewwords_section',
                'settings' => 'luzuk_them_fewwords_image3',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );


    // Box button background hover color
    addColorPalatOption($wp_customize, 'aboutus_sliderbutbgColor', 'luzuk_them_premium_fewwords_section', 'Slider Next/ Prev button background color', '#ffffff');

        // Box button background hover color
    addColorPalatOption($wp_customize, 'aboutus_sliderbuticonColor', 'luzuk_them_premium_fewwords_section', 'Slider Next/ Prev button Icon color', '#3b3b3b');



    // Box button background hover color
    addColorPalatOption($wp_customize, 'aboutus_sliderbuthoverbgColor', 'luzuk_them_premium_fewwords_section', 'Slider Next/ Prev button Hover background color', '#fe6b59');

           // Box button background hover color
    addColorPalatOption($wp_customize, 'aboutus_sliderbuthovericonColor', 'luzuk_them_premium_fewwords_section', 'Slider Next/ Prev button Hover Icon color', '#ffffff');

       // Box button background hover color
    addColorPalatOption($wp_customize, 'aboutus_sliderimgborderColor', 'luzuk_them_premium_fewwords_section', 'Slider Image Hover Border color', '#fe6b59');